<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-8">
      <div class="text-center">
        <h2>Winkel details</h2>
      </div>

      <div *ngIf="!loginCheck()">Log in</div>

      <ng-template #no_content> - </ng-template>

      <div *ngIf="store && loginCheck()">
        <table class="table table-bordered">
          <tr>
            <th>Naam:</th>
            <td>
              {{ store.name }}
            </td>
          </tr>

          <tr>
            <th>Adres:</th>
            <td>
              <div *ngIf="store.address[0]; else no_content">
                <div *ngIf="store.address[0].city">
                  {{ store.address[0].city }}
                </div>
                <span *ngIf="store.address[0].street">
                  {{ store.address[0].street }}
                </span>
                <span *ngIf="store.address[0].houseNumber">
                  {{ store.address[0].houseNumber }}
                </span>
                <div *ngIf="store.address[0].postalCode">
                  {{ store.address[0].postalCode }}
                </div>
              </div>
            </td>
          </tr>

          <tr>
            <th>Emailadres:</th>
            <td>
              <div *ngIf="store.emailAddress; else no_content">
                {{ store.emailAddress }}
              </div>
            </td>
          </tr>

          <tr>
            <th>Telefoonnummer:</th>
            <td>
              <div *ngIf="store.phoneNumber; else no_content">
                {{ store.phoneNumber }}
              </div>
            </td>
          </tr>
        </table>

        <a
          routerLink="/store/edit/{{ store._id }}"
          class="btn btn-medium btn-main"
        >
          Aanpassen
        </a>

        <button
          class="btn btn-medium btn-main"
          title="delete store"
          (click)="delete(store)"
        >
          Verwijderen
        </button>

        <button class="btn btn-medium btn-main" title="back" (click)="goBack()">
          Terug
        </button>
      </div>
    </div>
  </div>
</div>
